unsigned long unassemble(unsigned long, int);
void put_source_line(int, char *, int);

extern int last_unassemble_unconditional;
extern int last_unassemble_jump;
extern int last_unassemble_extra_lines;
